Bug 1162607 (CVE-2014-8503) - CVE-2014-8503 binutils: stack overflow in objdump when parsing specially crafted ihex file
Summary: CVE-2014-8503 binutils: stack overflow in objdump when parsing specially craf...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-8503
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1162617 1162608 1162609 1162610 1162611 1162612 1162613 1162618 1162619 1168281 1168302 1172710
Blocks: 1156276 1210268
TreeView+ depends on / blocked
 
Reported: 2014-11-11 11:30 UTC by Vasyl Kaigorodov
Modified: 2019-09-29 13:23 UTC (History)
22 users (show)

Fixed In Version: binutils 2.25
Doc Type: Bug Fix
Doc Text:
A stack-based buffer overflow flaw was found in the way objdump processed IHEX files. A specially crafted IHEX file could cause objdump to crash or, potentially, execute arbitrary code with the privileges of the user running objdump.
Clone Of:
Environment:
Last Closed: 2019-06-08 02:35:52 UTC


Attachments (Terms of Use)
Corrupt ihex file (188 bytes, text/plain)
2015-06-26 16:03 UTC, Nick Clifton
no flags Details
Fix, imported from PR 17512 (450 bytes, patch)
2015-06-26 16:04 UTC, Nick Clifton
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2079 normal SHIPPED_LIVE Moderate: binutils security, bug fix, and enhancement update 2015-11-19 07:41:11 UTC

Description Vasyl Kaigorodov 2014-11-11 11:30:41 UTC
Stack overflow was reported [1] in objdump when parsing a crafted ihex file [2].
Upstream patch is at [3].

[1]: https://sourceware.org/bugzilla/show_bug.cgi?id=17512#c33
[2]: https://sourceware.org/bugzilla/attachment.cgi?id=7869
[3]: https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;h=0102ea8cec5fc509bba6c91df61b7ce23a799d32

Comment 1 Vasyl Kaigorodov 2014-11-11 11:33:14 UTC
Created avr-binutils tracking bugs for this issue:

Affects: epel-all [bug 1162617]

Comment 2 Vasyl Kaigorodov 2014-11-11 11:33:19 UTC
Created cross-binutils tracking bugs for this issue:

Affects: epel-all [bug 1162618]

Comment 3 Vasyl Kaigorodov 2014-11-11 11:33:22 UTC
Created mingw-binutils tracking bugs for this issue:

Affects: epel-all [bug 1162619]

Comment 4 Vasyl Kaigorodov 2014-11-26 14:58:55 UTC
Statement:

Red Hat Enterprise Linux 5 is now in Production 3 Phase of the support and maintenance life cycle. This has been rated as having Low security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

Comment 8 Nick Clifton 2015-06-26 16:03:57 UTC
Created attachment 1043595 [details]
Corrupt ihex file

Comment 9 Nick Clifton 2015-06-26 16:04:40 UTC
Created attachment 1043596 [details]
Fix, imported from PR 17512

Comment 10 errata-xmlrpc 2015-11-19 03:33:21 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:2079 https://rhn.redhat.com/errata/RHSA-2015-2079.html


Note You need to log in before you can comment on or make changes to this bug.